# $Revision: 1.10 $, $Date: 2012/01/18 21:21:08 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Params
%define		pnam	Check
Summary:	Params::Check - a generic input parsing/checking mechanism
Summary(pl.UTF-8):	Params::Check - ogólny mechanizm analizy i sprawdzania wejścia
Name:		perl-Params-Check
Version:	0.32
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	887b049db1d150cabef0fc62d51c16c2
URL:		http://search.cpan.org/dist/Params-Check/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Locale-Maketext-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module Params::Check is a generic input parsing/checking
mechanism. It allows you to validate input via a template. The only
requirement is that the arguments must be named. Params::Check can do
the following things for you:
- Convert all keys to lowercase
- Check if all required arguments have been provided
- Set arguments that have not been provided to the default
- Weed out arguments that are not supported and warn about them to the
  user
- Validate the arguments given by the user based on strings, regexes,
  lists or even subroutines
- Enforce type integrity if required

%description -l pl.UTF-8
Moduł Perla Params::Check to ogólny mechanizm do analizy i sprawdzania
wejścia. Pozwala na sprawdzanie poprawności wejścia poprzez szablon.
Jedynym wymaganiem jest to, żeby argumenty były nazwane. Params::Check
może zrobić następujące rzeczy:
- przekształcić wszystkie klucze na małe litery
- sprawdzić, czy wszystkie wymagane argumenty zostały podane
- ustawić nie podane argumenty na wartości domyślne
- oddzielić argumenty nieobsługiwane i ostrzec o nich użytkownika
- sprawdzić poprawność podanych przez użytkownika argumentów w oparciu
  o łańcuchy znaków, wyrażenia regularne, listy lub nawet procedury
- wymusić spójność typów w razie potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%dir %{perl_vendorlib}/Params
%{perl_vendorlib}/Params/Check.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Params-Check.spec,v $
Revision 1.10  2012/01/18 21:21:08  zbyniu
- up to 0.32

Revision 1.9  2007/12/24 03:05:07  zbyniu
- up to 0.26

Revision 1.8  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.6  2006/10/25 21:04:10  ankry
- rel. 1

Revision 1.5  2006/08/20 09:12:42  qboosh
- typo

Revision 1.4  2006/07/26 19:05:53  qboosh
- Summary, License, pl

Revision 1.3  2006/07/26 12:51:51  glen
- kill default %attr-s

Revision 1.2  2006/07/26 12:49:45  glen
- adapter

Revision 1.1  2006/07/26 12:43:05  agaran
- initial, ver 0.25, rel 0.1, NFY, WIP
